-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local AuthenticationInterface = require 'mdb.bmc.kepler.AccountService.AuthenticationInterface'
local RMCPInterface = require 'mdb.bmc.kepler.AccountService.Authentication.RMCPInterface'

local childs = {}
local Authentication = {childs = childs}

local Mdb = require 'mc.mdb'

local TAuthentication = Mdb.register_object('/bmc/kepler/AccountService/Authentication', {
    {name = 'Authentication', interface = AuthenticationInterface.Authentication},
    {name = 'RMCP', interface = RMCPInterface.RMCP}
})
Authentication.Authentication = TAuthentication

function TAuthentication:ctor()
    self.path = '/bmc/kepler/AccountService/Authentication'
end

return Authentication
